(function ($, Drupal) {
  'use strict';

  Drupal.behaviors.selectA11yFacet = {
    attach: function (context, settings) {
      window.setTimeout(function (context, settings) {
        once('facets-dropdown-select-a11y', 'select.js-facets-select-a11ywidget', context).forEach(function (element) {
          // Add change handler.
          $(element).on('change', function (e) {
            var url = element.options[e.detail].value;
            window.location = url;
          });

          // Get Id.
          var id = $(element).data('drupal-facet-id');

          new Select(element, {
            text: {
              help: Drupal.t('Navigate the list to find what you are looking for'),
              placeholder: settings.facets.dropdown_widget[id]['facet-default-option-label'] || Drupal.t('Choose'),
              noResult: Drupal.t('Nothing found'),
              results: Drupal.t('{x} suggestion(s) found'),
              deleteItem: Drupal.t('Remove {t}'),
              delete: Drupal.t('Remove')
            }
          })
        });
      }.bind(this, context, settings), 200);
    }
  };
})(jQuery, Drupal);
